Re: Mask Issue? - Kernel

This is a discussion on Re: Mask Issue? - Kernel ; On Mon, 2007-09-24 at 16:39 +0100, Mel Gorman wrote: > On (19/09/07 17:57), Chris Holvenstot didst pronounce: > > Still being a little new at this I am not sure if this is an issue at > > all or ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Re: Mask Issue?

  1. Re: Mask Issue?


    On Mon, 2007-09-24 at 16:39 +0100, Mel Gorman wrote:
    > On (19/09/07 17:57), Chris Holvenstot didst pronounce:
    > > Still being a little new at this I am not sure if this is an issue at
    > > all or not but I noted that while building the 2.6.23-rc6-git8 kernel
    > > this afternoon I received the following error message:
    > >
    > > Building modules, stage 2.
    > > MODPOST 1670 modules
    > > WARNING: Can't handle masks in drivers/mtd/nand/cafe_nand:FFFF0
    > >
    > > I have been building each of the kernels in the 2.6.23-rc series and had
    > > not noted this message before. I apologize if this is a non-issue.
    > >

    >
    > I noticed this in a -mm recently and never got around to kicking it
    > properly because I suspected it was a compiler issue. What version
    > of gcc and binutils are you using?
    >
    > David Woodhouse added to cc in case this is a known problem.
    >


    Mel -

    Thank you for the response. I was a little unsure if this was to
    trivial to report.

    In any case to answer your question I use version 4.1.2 of GCC and the
    binutils package shows as 2.17.20070103cvs-0ubuntu2

    Chris



    -
    To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
    the body of a message to majordomo@vger.kernel.org
    More majordomo info at http://vger.kernel.org/majordomo-info.html
    Please read the FAQ at http://www.tux.org/lkml/

  2. Re: Mask Issue?

    On (24/09/07 18:07), Chris Holvenstot didst pronounce:
    >
    > On Mon, 2007-09-24 at 16:39 +0100, Mel Gorman wrote:
    > > On (19/09/07 17:57), Chris Holvenstot didst pronounce:
    > > > Still being a little new at this I am not sure if this is an issue at
    > > > all or not but I noted that while building the 2.6.23-rc6-git8 kernel
    > > > this afternoon I received the following error message:
    > > >
    > > > Building modules, stage 2.
    > > > MODPOST 1670 modules
    > > > WARNING: Can't handle masks in drivers/mtd/nand/cafe_nand:FFFF0
    > > >
    > > > I have been building each of the kernels in the 2.6.23-rc series and had
    > > > not noted this message before. I apologize if this is a non-issue.
    > > >

    > >
    > > I noticed this in a -mm recently and never got around to kicking it
    > > properly because I suspected it was a compiler issue. What version
    > > of gcc and binutils are you using?
    > >
    > > David Woodhouse added to cc in case this is a known problem.
    > >

    >
    > Mel -
    >
    > Thank you for the response. I was a little unsure if this was to
    > trivial to report.
    >


    It's never trivial but don't be discouraged if your report appears to
    fall between the cracks - it happens from time to time particularly when
    the subject is a bit obtuse.

    > In any case to answer your question I use version 4.1.2 of GCC and the
    > binutils package shows as 2.17.20070103cvs-0ubuntu2
    >


    As David says the check will go away in the near future, I reckon it's safe
    to ignore the problem (unless David objects) and disable it in your .config
    and continue with your testing. As the driver is specific to the One Laptop
    Per Child project, I'm guessing you are not affected.

    Thanks for testing and reporting.

    --
    Mel Gorman
    Part-time Phd Student Linux Technology Center
    University of Limerick IBM Dublin Software Lab
    -
    To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
    the body of a message to majordomo@vger.kernel.org
    More majordomo info at http://vger.kernel.org/majordomo-info.html
    Please read the FAQ at http://www.tux.org/lkml/

+ Reply to Thread